Subject: Re: bug#40693: 28.0.50; json-encode-alist changes alist

From: Michael Heerdegen <[email-masked]>
Date: Mon, 20 Apr 2020 00:29:40 +0200

Paul Eggert <[email-masked]> writes:

> +types include conses, vectors, strings, and symbols.  For example, the string
>  literal @code{"aaa"} yields a constant string, whereas the function
>  call @code{(make-string 3 ?a)} yields a mutable string that can be
>  changed via later calls to @code{aset}.

> -  A program should not attempt to modify a constant because the
> +  Modifying a constant symbol signals an error (@pxref{Constant Variables}).
> +A program should not attempt to modify other types of constants because the

Do you speak about symbols or the binding of symbols here?

Michael.